Support

If you have specific questions please contact us by mail: contact@memosort.com

Supported browsers

Memosort works best with the more recently updated versions of browsers.

We recommend using any of the following browsers:

NOTE: We do not support earlier Internet Explorer versions because we use latest technologies that are not available with those browsers. Instead, we recommend using any browser listed above.

Minimum requirements